using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge.Admin
{
	/// <summary>
	/// Admin_EditSystemBase 的摘要说明。
	/// </summary>
	public class Admin_EditSystemBase : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox WebName;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.TextBox WebUrl;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.TextBox WebLogo;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.TextBox WebEmail;
		protected System.Web.UI.WebControls.TextBox CAddress;
		protected System.Web.UI.WebControls.TextBox CTel;
		protected System.Web.UI.WebControls.TextBox CQQ;
		protected System.Web.UI.WebControls.TextBox Webcopyright;
		protected System.Web.UI.WebControls.Button Submit;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面


			// 在此处放置用户代码以初始化页面
			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
			}
			if(!IsPostBack)
			{
				SystemBaseDataBind();
			}
			
		}


		private void SystemBaseDataBind()
		{
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//取得所需操作的记录ID

				//定义SQL语句
				string ACsql="select ID,WebName,WebUrl,WebLogo,WebEmail,CAddress,CTel,CQQ,Webcopyright from Config where ID=1";
				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//通过执行Command实例化DataReader类
				OleDbDataReader ACdr=ACcomm.ExecuteReader();
				if(ACdr.Read())
				{
					WebName.Text=ACdr["WebName"].ToString();
					WebUrl.Text=ACdr["WebUrl"].ToString();
					WebLogo.Text=ACdr["WebLogo"].ToString();
					WebEmail.Text=ACdr["WebEmail"].ToString();
					CAddress.Text=ACdr["CAddress"].ToString();
					CTel.Text=ACdr["CTel"].ToString();
					CQQ.Text=ACdr["CQQ"].ToString();
					Webcopyright.Text=ACdr["Webcopyright"].ToString();
					ACdr.Close();

				}
				else
				{
					Response.Write("对不起，请先填加网站信息");
				}
			
			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();

			}
		}


		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Submit.Click += new System.EventHandler(this.Submit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Submit_Click(object sender, System.EventArgs e)
		{
		

			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//定义SQL语句
				string ACsql1="update Config set WebName='"+WebName.Text+"',WebUrl='"+WebUrl.Text+"',WebLogo='"+WebLogo.Text+"',WebEmail='"+WebEmail.Text+"',CAddress='"+CAddress.Text+"',CTel='"+CTel.Text+"',CQQ='"+CQQ.Text+"',Webcopyright='"+Webcopyright.Text+"' where ID=1";
				//创建Command对象
				OleDbCommand ACcomm=new OleDbCommand(ACsql1,ACconn);
				//执行SQL
				ACcomm.ExecuteNonQuery();
				Response.Write("<script>alert('网站信息修改成功');</script>");
				Response.Write("<script>history.go(-1);</script>");


			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();
			}


		}
	}
}
